unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, jpeg, ExtCtrls,ShellApi, StdCtrls, DB, DBTables;

type
  TForm1 = class(TForm)
    I1: TImage;
    Image: TImage;
    Image2: TImage;
    Image3: TImage;
    Image4: TImage;
    Image5: TImage;
    Image6: TImage;
    Image7: TImage;
    Image8: TImage;
    img1: TImage;
    img2: TImage;
    procedure Image7Click(Sender: TObject);
    procedure Image8Click(Sender: TObject);
    procedure Image5Click(Sender: TObject);
    procedure Image6Click(Sender: TObject);
    procedure ImageClick(Sender: TObject);
    procedure Image2Click(Sender: TObject);
    procedure Image4Click(Sender: TObject);
    procedure img1Click(Sender: TObject);
    procedure img2Click(Sender: TObject);
    procedure Image3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2;

{$R *.dfm}

procedure TForm1.Image7Click(Sender: TObject);
begin
ShellExecute (Form1.Handle, nil, 'iexplore', 'http://omsic.ru', nil, SW_RESTORE);
end;

procedure TForm1.Image8Click(Sender: TObject);
begin
Form1.Close;
end;

procedure TForm1.Image5Click(Sender: TObject);
begin
ShellExecute (Form1.handle, nil, 'Koder2.exe', nil, nil, SW_restore);
Form1.Close;
end;

procedure TForm1.Image6Click(Sender: TObject);
begin
 ShellExecute (Form1.handle, nil, 'tetris.exe', nil, nil, SW_restore);
Form1.Close;
end;

procedure TForm1.ImageClick(Sender: TObject);
begin
 ShellExecute (Form1.handle, nil, 'algoritm.exe', nil, nil, SW_restore);
Form1.Close;
end;

procedure TForm1.Image2Click(Sender: TObject);
begin
  ShellExecute (Form1.handle, nil, 'opis.exe', nil, nil, SW_restore);
Form1.Close;
end;

procedure TForm1.Image4Click(Sender: TObject);
begin
ShellExecute (Form1.handle, nil, 'spr.exe', nil, nil, SW_restore);
Form1.Close;
end;

procedure TForm1.img1Click(Sender: TObject);
begin
  ShellExecute (Form1.handle, nil, 'soft', nil, nil, SW_restore);
end;

procedure TForm1.img2Click(Sender: TObject);
begin
  Form2.ShowModal;
end;

procedure TForm1.Image3Click(Sender: TObject);
begin
 ShellExecute (Form1.handle, nil, 'test.exe', nil, nil, SW_restore);
Form1.Close;
end;

end.
